# Get Venue Room Inventory

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getRoomInventory`

Return the inventory and available count for the given date and optionally provided room ids.

#### Request Body

| Name                                        | Type    | Description                                           |
| ------------------------------------------- | ------- | ----------------------------------------------------- |
| venueId<mark style="color:red;">\*</mark>   | integer | The unique id of the venue to which the room belongs. |
| startDate<mark style="color:red;">\*</mark> | date    | The start date of the inventory.                      |
| endDate<mark style="color:red;">\*</mark>   | date    | The end date of the inventory.                        |
| roomIds                                     | array   | The room ids to filter the inventory.                 |

{% tabs %}
{% tab title="200 " %}

```json
{
    "meta": {
        "totalResults": 2,
        "start": 0,
        "perPage": 2,
        "count": 2
    },
    "results": [
        {
            "date": "2025-12-16",
            "roomId": 7,
            "inventoryCount": 3,
            "availableCount": 3
        },
        {
            "date": "2025-12-16",
            "roomId": 2,
            "inventoryCount": 130,
            "availableCount": 130
        },
    ]
}

```

{% endtab %}
{% endtabs %}

### Date Range Restrictions

* **startDate and endDate**: The maximum date range is 31 days. Past dates are not allowed.

### Returns

A collection object with the following properties in result

| Property       | Data Type | Description                              |
| -------------- | --------- | ---------------------------------------- |
| date           | date      | The date of the inventory                |
| roomId         | integer   | The unique id of the room                |
| inventoryCount | integer   | The total rooms                          |
| availableCount | integer   | The total available rooms after bookings |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-room-inventory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
